*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
h1,h2,h3,h4,h5,h6{
    margin: 0;
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
}
a{
    text-decoration: none;
    font-family: 'Montserrat', sans-serif;
}
p{
    font-family: 'Lato', sans-serif;
    font-size: 16px;
    margin-bottom: 15px;
}
span,label{
    font-family: 'Lato', sans-serif;
    font-size: 16px;
    font-weight: 600;
    color: #9FA2B4;
    display: block;
    margin-bottom: 5px;
    margin-top: 5px;
    text-transform: uppercase;
}
input:not(input[type="radio"]),textarea{
    font-family: 'Lato', sans-serif;
    outline: unset;
    border: 1px solid #C5C7CD;
    border-radius: 8px;
    padding: 10px;
    font-family: 'Lato', sans-serif;
    font-size: 16px;
    color:#252733 ;
    width: 100%;
    background-color: #FCFDFE;
}
textarea{
    resize: none;
    height: 250px;
}
.derivative-dashboard{
    background-color: #F7F8FC;
    padding: 30px;
}
.derv-container{
    width: 100%;
    max-width: 1440px;
    margin: 0 auto;
}
header{
    margin-bottom: 20px;
}
header a{
    display: inline-block;
}
.right-derv-sec {
    display: grid;
    grid-template-columns: 1fr 365px;
}
.left-derv-sec{
    margin-bottom: 25px;
    display: block;
}

.interest-main {
    width: 100%;
    margin-right: 0;
}
.interest-main,.capstrike-rate{
    background-color: #fff;
    border: 1px solid #DFE0EB;
    border-radius: 8px;
    padding: 20px;
   
}

.interest-main h2{ 
    font-size: 22px;
    font-weight: 600;
    margin: 15px 0 0;
}
.capstrike-rate{
    padding-bottom: 0 !important;
    padding-top: 0 !important;
    margin-right: 25px;
    position: relative;
    /* grid-column: span 3; */
}
.capstrike-rate .loader {
    width: 100% !important;
    background-size: 100px !important;
}
.interest-head{
    display: block;
    grid-template-columns: 5fr 280px;
    grid-column-gap: 50px;
    margin-bottom: 30px;
}
.derv-head-content h1{
    font-size: 25px;
    color: #252733;
    font-weight: 600;
    margin-bottom: 15px;
    text-transform: uppercase;
}
.derv-head-content p{
    font-size: 16px;
    color:#4B506D ;
}
.derv-head-btn{
    background-color:#5ABD4E;
    padding: 13px 10px;
    border-radius: 8px;
    text-align: center;
}
.derv-head-btn.mobile{
    display: none;
}
.derv-head-btn h2{
    color: #fff;
    font-weight: 600;
    font-size:40px;
}
.derv-head-btn p{
    font-size:16px;
    color: #fff;
    margin-bottom: 0;
}
.derv-rates {
    display: grid;
    padding: 0 10px;
    /*margin-bottom: 30px;*/
}
.rates-head{
    display: flex;
    align-items: center;
    width: 100%;
    position: relative;
}
.rates-head label{
    max-width: 90%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.rates-head i{
    color: #4B506D;
    margin-left: 7px;
    position: absolute;
    right: 5px;
    top: 10px;
}
.loan-info-row-3, .loan-info-row-2 ,  .loan-info-row-4 {
    display: grid;
    gap: 20px;
}
.loan-info-row-3{
    grid-template-columns: repeat(3, 1fr);
}
.loan-info-row-4{
    grid-template-columns: repeat(4, 1fr);
}
.loan-info-row-2{
    grid-template-columns: repeat(2, 1fr);
}
.drop-down-main {
    position: relative;
    margin: 5px 0;
    /* height: 100px; */
}
.drop-down-main select{
    width:100%;
    padding: 11px 10px;
    border: 1px solid #C5C7CD;
    background-color:#FCFDFE ;
    border-radius: 8px;
    outline: unset;
    font-size: 16px;
    font-family: 'Lato', sans-serif;
    color: #252733;
    appearance: none;
    background-image: url("../images/select-bg.svg");
    background-repeat: no-repeat;
    background-position: 95%;
}
.terms-month{
    text-align: center;
    margin: 0 auto;
    width: 100%;
    max-width: 415px;
}
.select-months {
    display: flex;
}
.select-months .radio-group{
    display: flex;
    margin-right: 10px;
}
.select-months .radio-group:last-child{
    margin-right: 0;
}
.select-months .radio-group input[type="radio"]{
    appearance: none;
}
.select-months .radio-group label{
    border: 1px solid #C5C7CD;
    padding: 11px 15px;
    border-radius: 8px;
    font-weight: 500;
    margin: 0;
    color:#252733 ;
    background-color: #FCFDFE;
}
.select-months .radio-group input[type="radio"]:checked+label{
    background-color:#5ABD4E;
    color: #fff;
    border: 1px solid #5ABD4E;
}
.cap-strktbl-main table{
    width: 100%;
    border-collapse: collapse;
    /* margin-bottom: 30px; */
}
.cap-strktbl-main thead{
    background-color:#F8F8F8;
    border: 1px solid #DCDCDC;
}
.cap-strktbl-main thead tr{
    border-bottom: 1px solid #DCDCDC;
}
.cap-strktbl-main thead tr:first-child th:first-child{
    border-right: 1px solid #DCDCDC;
}
.cap-strktbl-main thead tr th{
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    color:#252733;
    padding: 15px 8px;
}
.cap-strktbl-main table thead tr:nth-child(2) th{
    color:#70727C;
 }
.cap-strktbl-main table tbody tr td{
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 500;
    padding: 15px;
}
.cap-strktbl-main table tbody tr{
    border-bottom: 1px solid #DFE0EB;
}
.cap-strktbl-main table tbody tr td:first-child{
    font-weight: 700;
}
.cap-strktbl-main table span{
    color: #fff;
    font-weight: 700;
    padding: 2px 0px 4px;
}
.cap-strktbl-main table tbody tr.highlighted-value td{
    padding: 7px 15px;
}
.cap-strktbl-main table span.grey-color{
    background-color:#9FA2B4;
}
.cap-strktbl-main table span.green-color{
    background-color:#60D852;
}
.capstrike-rate > p{
    margin-bottom:10px;
    margin-top: 10px;
    font-size: 14px;
    color: #4B506D;
}
.derv-form-sec{
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    border: 1px solid #DFE0EB;
}
.derv-form-sec form{
    display: grid;
    height: calc(100% - 50px);
    grid-template-rows: repeat(4, auto) 1fr;
}
.derv-form-sec{
    padding-top: 20px;
    background-color: #001B71;
}

.derv-form-sec p{
    color: white;
    margin-bottom: 30px;
}
.derv-form-sec label{
    margin: 7px 2px;
    float: left;
    color: white;
}
.email-validation-msg{
    display: flex;
    justify-content: center;
    margin-top: 2px;
}
.phoneuslabel{
    padding-top: 5px
}
.phonefield-us{
    display: -webkit-inline-box;
}
.phonearea{
    margin: 0;
}

#red-star{
    color: red;
    margin: 0;
    padding: 0;
    display: contents;
}

.rate-cap-table tr td{
    padding: 15px 0px;
    font-family: 'Montserrat', sans-serif;
    color: #252733;
    border-bottom:1px solid #DFE0EB;
}
/*.cap-strktbl-main table tbody tr td{*/
/*    padding: 16px 15px;*/
/*}*/
.rate-cap-table tr td{
    padding: 13px 0px;
}
.rate-cap-table tr:first-child{
    border-top:1px solid #DFE0EB;
}
.rate-cap-table tr td:first-child{
    font-size: 14px;
    font-weight: 500;
}
.rate-cap-table tr td:nth-child(2){
    font-weight: 700;
    font-size: 16px;
    text-align: right;
}
.rate-cap-table tr:last-child td{
    border-bottom: 0px solid transparent;
}
.chart-main{
    height: 500px !important;
}


.loan_amount_container{
    display: flex;
    justify-content: space-between;
    border: 1px solid #C5C7CD;
    /* padding-left: 10px; */
    border-radius: 8px;
    height: 46px;
    position: relative;
}
.loan_amount_dollar_sign{
    padding-top: 5px;
    text-transform: lowercase;
    padding-left: 10px;
}

.input-style{
    border: none !important; /* Remove borders */ 
    padding-left: 10px !important;
}
.calculate-button-container {
    display: flex;
    align-items: center;
    height: 100px;
    justify-content: end;
}
.calculate_button{
    background-color: #5ABD4E;
    border: none;
    width: 75%;
    padding: 15px;
    font-size: 20px;
    color: #fff;
    margin-top: 10px;
    border-radius: 10px;
   
}
.calculate_button > i{
    font-size: 25px;
}
/* Darker background on mouse-over */
.calculate_button:hover {
    background-color: rgb(19, 218, 19);
}

.calculate_button_change{
    background-color: #D9DD2A;
    width: 150px;
    position: relative;
    transition: width 0.5s ;
    -webkit-transition: width 0.5s ;
    -moz-transition: width 0.5s ;
    -ms-transition: width 0.5s ;
    -o-transition: width 0.5s ;
}
.calculate_button_change::before {
    content: "Recalculate";
    position: absolute;
    top: 5px;
    left: 30px;
    font-size: 20px;
    font-weight: bold;
}
.calculate_button_change > i{
    position: absolute;
    left: 7px;
    top: 8px;

}

.calculate_button_change:hover{
    background-color: #f0f346;
}

.error_msg{
    color: red;
    font-size: 14px;
    font-weight: bold;
    text-transform: none !important;
}

.submit_button{
    margin-top: 20px !important;
    background-color: #5abd4e !important;
    width: 100% !important;
    height: 40px !important;
    font-weight: bold;
    border: none !important;
    color: #fff !important;
    border-radius: 8px !important;
    font-size: 19px !important;
    cursor: pointer !important;
}

/* Loader */
/* Start by setting display:none to make this hidden.
   Then we position it in relation to the viewport window
   with position:fixed. Width, height, top and left speak
   for themselves. Background we set to 80% white with
   our animation centered, and no-repeating */
   .loader {
    display:    none;
    position:   absolute;
    z-index:    1000;
    top: 0;
    right: 0%;
    height: 100%;
    width: 50px;
    border-radius: 11px;
    margin: auto;
    background-size: 40px !important;
    background: rgba( 255, 255, 255, .8 ) 
                url('../images/loader.gif') 
                50% 50% 
                no-repeat;
}

#cap-rates-selector-div, #cap-strktbl-main, #chart-div, #ideal_head_value_container{
    position: relative;
}

#cap-rates-selector-div.loading .loader , #cap-strktbl-main.loading .loader , #chart-div.loading .loader , #ideal_head_value_container.loading .loader{
    overflow: hidden; 
    display: block;  
}

.chart-axis-label {
    margin-bottom: 15px;
    text-align: center;
    
}

#cap-rates-selector-div.loading .loader{
    background-size: 35px;
 background-position-x: 100%;
 background-position-y: 50%;
}

.contact_validation_errors{
    margin-bottom: 0px !important;
}
#ideal_head_value_container{
    margin-top: auto;
}
.loan_amount_value_box{
    display: inline-flex;
    width: 100%;
    margin-right: 10px;
}
.term-legend{
    margin: 10px 0;
    right: 150px;
    position: absolute;
    font-size: 13px;
    top: 5px;
    color: #4a4a4a;
}

.tooltip-style > .tooltip-inner{
    text-align: start;
}
#cap-strike-rates-table th{
    text-align: center;
}

#myChart {
    max-width: 100%;
}

.estimated-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.estimated-row p{
    margin-bottom:5px;
    margin-top:5px;
    font-size:20px;
    color: #4B506D;
    font-weight: bold;
}


.chart-container {
    margin: 50px 0 0;
}


.chart-container h2 {
    font-size: 22px;
    font-weight: 600;
}
.datetimepicker .form-control {
    border: none;
    height: 100%;
}

.datetimepicker .input-group-append{
    margin: 0 !important;
    height: 100%;
    display: inline-block;
}
.datetimepicker .input-group-append .input-group-text {
    margin: 0;
    display: inline-flex !important;
    justify-content: center;
    align-items: center;
    height: 100%;
    border: none;
    background-color: #eee;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.datetimepicker .input-group-append .input-group-text i{
    font-size: 18px;
}
.error-msg {
    color: red;
    margin: 0;
    /* position:absolute;
    white-space: nowrap;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis; */
}
.table-condensed {
    width: 100%;
}
#contact_message {
    height: calc(100% - 50px);
    resize: none;
}
.calculations-results-container {

}
.calculations-results-container .estimated-row {
    padding: 0  20px;
}
.calculations-results-container .estimated-row p{
    color: #000;
}
.format-negative-values {
    background-color: #5abd4e;
    padding: 5px;
    color: #fff !important;
    border-radius: 5px;
}
.estimated-defease-fees-container {
    display: flex;
    gap: 10px;
    align-items: center;
}
.estimated-defease-fees-container select{
    height: 40px;
    padding: 0 20px 0 10px;
    line-height: 34px;
    font-size: 19px;
    min-width: 100px;
}

.estimated-diff-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 30px;
    font-style: italic;
    color: gray;
}
.disable-calculate-button {
    opacity: 0.7;
    pointer-events: none;
}   
.footer-date-time{
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
    color: var(--bs-body-color);
    display: inline;
}


.auto-populated-format {
    margin-right: 0;
    pointer-events: none;
}
.auto-populated-format .loan_amount_dollar_sign{
    color: #252733;
    background-color: #dce9ff;
    margin: 0;
    padding-top: 9px;
    font-weight: bold;
    border-bottom-left-radius: 8px;
    border-top-left-radius: 8px;
}

.auto-populated-format input {
    background-color: #dce9ff !important;
    border-bottom-left-radius: initial !important;
    border-top-left-radius: initial !important;
    font-weight: bold !important;
}
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active{
    -webkit-box-shadow: 0 0 0 30px white inset !important;
}

.page-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}

.page-title #download-pdf {
    background-color: #5ABD4E;
    border: none;
    padding: 8px 10px;
    font-size: 18px;
    color: #fff;
    border-radius: 10px;
    /* display: none; hide pdf icon */
}
@media print {
    #download-pdf {
        display: none;
    }
}
/* Export header and footer styles */
.export-header, .export-footer {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
}
.export-header {
    margin-bottom: 0.5rem;
}
.header-img img {
    width: 25rem;
}

.header-info {
    display: flex;
    flex-direction: column;
    margin-right: 5px;
}

.export-header p, .export-footer p {
    margin-bottom: 0;
    color: #4B506D;
    text-align: right;
}

.header-link {
    color: #2323FF;
    font-weight: 500;
}

.footer-img img {
    width: 45%;
}

/* Show export header and footer and hide download button only in print screen */
@media print {
    .export-header, .export-footer {
        display: flex;
    }
    #download-pdf {
        display: none;
    }
     /* Hide default date and title at print page */
    @page {
        margin: 0;
    }
    section {
        margin-top: 2rem;
    }
}
/* Hide export header and footer and show download button */
@media screen {
    .export-header, .export-footer {
        display: none;
    }
    #download-pdf {
        display: block;
    }
}
